/**
* mouse
*
* Blockpraktikum Informationsvisualisierung mit Processing
* Daniel Buschek, Johannes Preis
* 28. 2. 2012
*/

int shapeMode = 0;
int size = 30;

void setup() {
  size(400, 400);
  smooth();
  rectMode(CENTER);
  stroke(0);
  strokeWeight(3);
  fill(250, 150, 0);
}

void draw() {
  background(255);
  
  // mouse coordinates determine center of the shape
  PVector center = new PVector(mouseX, mouseY);
  
  // shape mode determines which shape will be drawn
  if(shapeMode == 0) { // 0: circle
    ellipse(center.x, center.y, size, size);
  } else if(shapeMode == 1) { // 1: rectangle
    rect(center.x, center.y, size, size);
  }
}

void mouseClicked() {
  // left mouse button: change size of the shape
  if(mouseButton == LEFT) {
    size = (size + 30) % 120;
  }
  // right mouse button: change shape mode
  if(mouseButton == RIGHT) {
    shapeMode = (shapeMode + 1) % 2;
  }
}
